Bug 433897 - PDFs with JPEG2000 data are processed incorrectly
PDFs with JPEG2000 data are processed incorrectly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2008-02-21 18:48 EST by Yakov Shafranovich
Modified: 2008-09-24 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.61-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yakov Shafranovich 2008-02-21 18:48:09 EST
Description of problem:

Builds of the ghostscript package from v8.61-7 and above no longer include the
jasper library. As the result, JPEG2000 support is no longer present in
ghostscript and errors occur processing PDF files containing JPEG2000 encoded
images.

Version-Release number of selected component (if applicable):

8.61-7 and above


How reproducible:


Steps to Reproduce:
1. Download any PDF book from books.google.com.
2. Run pdfopt book.pdf book1.pdf
  
Actual results:

Errors like this are produced:
ERROR: Unable to process JPXDecode data. Page will be missing data. ****

The resulting PDF is produced without any JPEG2000 images.

Expected results:
PDFs without errors

Additional info:
Compiling with jasper would fix the problem.
Comment 1 Tim Waugh 2008-02-22 09:38:10 EST
Clarification: original problem occurred in 8.61-6.fc8 (F-8) and 8.61-7.fc9
(rawhide).
Comment 2 Fedora Update System 2008-02-22 11:29:46 EST
ghostscript-8.61-7.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-25 19:27:51 EST
ghostscript-8.61-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1998
Comment 4 Fedora Update System 2008-03-03 13:24:10 EST
ghostscript-8.61-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-08-27 05:51:58 EDT
Btw, F8 builds still do not seem to use jasper...

According to the changelog, ghostscript should use system jasper:

http://cvs.fedoraproject.org/viewvc/rpms/ghostscript/F-8/ghostscript.spec?r1=1.153&r2=1.154

However, greping build.logs for jasper yields:

+ ./configure  [ ... ]  --without-jasper  [ ... ]

Also comparing RPM info for build with same NVR in F8 and F9, F9 build depends on libjasper.so.1, F8 build does not:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=630157
http://koji.fedoraproject.org/koji/rpminfo?rpmID=630181

(I have not really tested if PDFs with JPEG2000 are not shown correctly or not though, just checking if ghostcript uses system jasper as it should. ;)
Comment 6 Tomas Hoger 2008-08-27 06:06:41 EDT
Ah...

F8:
%configure --with-ijs --enable-dynamic --with-fontpath="$FONTPATH" \
	--without-jasper \
	--with-drivers=ALL --disable-compile-inits

vs.

F9:
%configure --with-ijs --enable-dynamic --with-fontpath="$FONTPATH" \
	--with-drivers=ALL --disable-compile-inits \
	CFLAGS="$CFLAGS $EXTRACFLAGS"
Comment 7 Fedora Update System 2008-08-27 07:31:11 EDT
ghostscript-8.63-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ghostscript-8.63-1.fc8
Comment 8 Fedora Update System 2008-09-10 03:10:46 EDT
ghostscript-8.63-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7298
Comment 9 Fedora Update System 2008-09-24 20:22:11 EDT
ghostscript-8.63-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.